# $Revision: 1.10 $, $Date: 2010/08/21 19:08:19 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	PEAR_RemoteInstaller
Summary:	%{_pearname} - PEAR Remote installation plugin through FTP
Summary(pl.UTF-8):	%{_pearname} - wtyczka do zdalnej instalacji PEAR poprzez FTP
Name:		php-pear-%{_pearname}
Version:	0.3.1
Release:	2
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	9b5921e24382b5c69b7de798572da006
URL:		http://pear.php.net/package/PEAR_RemoteInstaller/
BuildRequires:	php-pear-PEAR >= 1:1.5.0-0.RC1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Suggests:	php-pecl-ssh2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Originally part of the 1.4.0 new features, remote installation through
FTP, FTPS and SFTP is now its own package. This package adds the
commands "remote-install" "remote-upgrade" "remote-uninstall" and
"remote-upgrade-all" to the PEAR core.

To take advantage, you must have a config file on the remote ftp
server and full access to the server to create and remove files. The
config-create command can be used to get started, and the
remote_config configuration variable is set to the full URL as in
- ftp://ftp.example.com/path/to/pear.ini,
- ftps://user:pass@ftp.example.com/path/to/pear.ini,
- ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini"

After this is done, install/upgrade as normal using the remote*
commands as if they were local.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Początkowo część instalatora PEAR 1.4.0, zdalna instalacja przy użyciu
FTP, FTPS lub SFTP jest teraz w osobnym pakiecie. Pakiet ten dostarcza
polecenia "remote-install", "remote-upgrade", "remote-uinnstall" oraz
"remote-upgrade-all" do głównej części PEAR.

Aby skorzystać z tej funkcjonalności, konieczne jest posiadanie pliku
konfiguracyjnego na zdalnym serwerze oraz możliwość tworzenia i
usuwania na nim plików. Polecenie "config-create" może być użyte, aby
rozpocząć, a w zmiennej remote_config powinna znajdować się pełna
ścieżka (URL), np:
- ftp://ftp.example.com/path/to/pear.ini,
- ftps://user:pass@ftp.example.com/path/to/pear.ini,
- ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini"

Gdy to będzie zrobione, możliwa jest instalacja/aktualizacja przy
użyciu poleceń remote* tak jakby operacje przeprowadzane były na
lokalnym repozytorium.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/Command/Remoteinstall.xml
%{php_pear_dir}/PEAR/Command/Remoteinstall.php
%{php_pear_dir}/PEAR/FTP.php
%{php_pear_dir}/PEAR/RemoteInstaller.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_RemoteInstaller.spec,v $
Revision 1.10  2010/08/21 19:08:19  glen
- updated deps with pearize.sh
- release 2

Revision 1.9  2010/08/20 13:06:41  glen
- updated to: 0.3.1

Revision 1.8  2008/01/31 12:16:09  glen
- rel 2

Revision 1.7  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.5  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.4  2006/04/28 19:30:52  qboosh
- typo

Revision 1.3  2006/04/24 16:32:58  glen
- correct requires

Revision 1.2  2006/04/24 15:09:01  spider
- typo fix

Revision 1.1  2006/04/24 14:37:39  adamg
- new
